Modular building
Russell Shaw
rjshaw at netspace.net.au
Mon Jun 5 09:12:08 PDT 2006
Rune Petersen wrote:
> Russell Shaw wrote:
>
>> ./util/modular/build.sh: line 27: cd: lib/xtrans: No such file or
>> directory
>
> You didn't check out everything in lib/. do it.
> You'll also need libX11 from git
> git clone git://git.freedesktop.org/git/xorg/lib/libX11
>
> And change build.sh to use it in stead of lib/X11.
>
> The build is broken in other places, but it's a start.
Hi,
I found that to get rid of a lot of the errors, i had to:
RCS file: /cvs/xorg/util/modular/build.sh,v
retrieving revision 1.69
diff -u -r1.69 build.sh
--- build.sh 15 Mar 2006 21:12:18 -0000 1.69
+++ build.sh 5 Jun 2006 16:02:37 -0000
@@ -24,6 +24,12 @@
fi
fi
echo "Building $1 module component $2..."
+
+ #Skip any directories not installed.
+ if ! test -a "$1" || ! test -d "$1"; then
+ return
+ fi
+
cd $1/$2
if test "$1" = "xserver" && test "$2" = "xorg" && test -n "$MESAPATH"; then
because i didn't want to compile anything in xorg/apps. Is skipping directories
like this a supported way of building?
More information about the xorg
mailing list